<!DOCTYPE html>
<html lang="en">
<head>
    <title>Topic 4 - HTML5 APIs</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="assets/styles/normalize.css">
    <link rel="stylesheet" href="assets/styles/grid.css">
    <link rel="stylesheet" href="assets/styles/style.css">
</head>
<body>
    <div class="container">
        <div class="row clearfix">
            <div class="column full">
                <div class="title">Topic 4 - HTML5 APIs</div>
            </div>
        </div>
        <div class="row clearfix">
            <div class="column half">
                <div class="subtitle">Local storage</div>
                <div class="textarea-container">
                    <textarea id="localStorageText" class="textarea" placeholder="Write your message"></textarea>
                </div>
                <div class="buttons-container">
                    <button type="submit" class="save" onclick="localStorageSave()">Save</button>
                    <button class="clear" onclick="localStorageClear()">Clear</button>
                </div>
            </div>
            <div class="column half">
                <div class="subtitle">Indexed DB</div>
                <div class="textarea-container">
                    <textarea id="indexedDBText" class="textarea" placeholder="Write your message"></textarea>
                </div>
                <div class="buttons-container">
                    <button type="submit" class="save" onclick="indexedDBSave()">Save</button>
                    <button class="clear" onclick="indexedDBSave(clear)">Clear</button>
                </div>
            </div>
        </div>
        <div class="row separator"></div>
        <div class="row clearfix">
            <div class="column half">
                <div class="subtitle">Drag and Drop</div>
                <div class="dropper-box input" id="droppedFiles">
                    Drop your .txt file here!
                </div>
            </div>
            <div class="column half">
                <div class="subtitle">Output</div>
                <div class="dropper-box output" id="droppedFilesOutput">
                </div>
            </div>
        </div>
        <div class="row separator"></div>
        <div class="row clearfix">
            <div class="column half">
                <div class="subtitle">Web Socket</div>
                <div class="textarea-container">
                    <textarea id="socketInput" class="textarea"></textarea>
                </div>
                <div class="buttons-container">
                    <button class="ws-button" onclick="socketConnect()">Connect</button>
                    <button class="ws-button" onclick="socketSend()">Send</button>
                    <button class="ws-button" onclick="socketClose()">Close</button>
                </div>
            </div>
            <div class="column half">
                <div class="subtitle">Socket Output</div>
                <div id="socketOutputContainer" class="socket-output">
                </div>
            </div>
        </div>
        <div class="row separator"></div>
        <div class="row clearfix">
            <div class="column full">
                <div class="subtitle">SVG</div>
                <div class="svg-container">
                    <object data="assets/images/tcts.svg" type="image/svg+xml" alt="Too cute to spook">
                        <img src="assets/images/tcts.png" alt="Too cute to spook">
                    </object>
                </div>
            </div>
        </div>
        <div class="row separator"></div>
        <div class="row clearfix">
            <div class="column full">
                <div class="subtitle">Canvas</div>
                <div>
                    <canvas id="canvas"></canvas>
                </div>
            </div>
        </div>
    </div>
    <script src="assets/scripts/script.js"></script>

</body>
</html>